rio_request_outb_mbox
Prev | Functions | Next

## Name

rio_request_outb_mbox — request outbound mailbox service

## Synopsis

`int rio_request_outb_mbox (` | struct rio_mport * | mport,
| void * | dev_id,
| int | mbox,
| int | entries,
| void (* | moutb`(`struct rio_mport * mport, void *dev_id, int mbox, int slot`)``)`;

## Arguments

`mport`

  RIO master port from which to allocate the mailbox resource

`dev_id`

  Device specific pointer to pass on event

`mbox`

  Mailbox number to claim

`entries`

  Number of entries in outbound mailbox queue

`moutb`

  Callback to execute when outbound message is sent

## Description

Requests ownership of an outbound mailbox resource and binds a callback function to the resource. Returns 0 on success.

Prev | Up | Next
rio_release_inb_mbox | Home | rio_release_outb_mbox